function dx = beweggl_funktion(t,x)
%% Bewegungsgleichungen (ODE) integrieren
% Beispielhafte Zahlenwerte definieren
% l1 = 1;
% l2 = 1;
% m1 = 1;
% m2 = 1;
% g  = 9.81;
Doppelpendel_Zahlenwerte_init        % Skript mit Definitionen ausfuehren

% Anfangsbedingungen / Bedingungen des letzten Integrationsschritts lesen
alpha1  = x(1);
alpha2  = x(2);
Dalpha1 = x(3);
Dalpha2 = x(4);

% hier muessen die zu integrierenden Bewegungsgleichungen stehen
% (copy+paste vom Ergbinis aus dem Skript "Doppelpendel_Herleitung_BewegGl.m")
M = ...
    [             m1*l1^2 + m2*l2^2, l1*l2*m2*cos(alpha1 - alpha2)
     l1*l2*m2*cos(alpha1 - alpha2),                        l2^2*m2];
 
 
k = ...
    [  Dalpha2^2*l1*l2*m2*sin(alpha1 - alpha2)
      -Dalpha1^2*l1*l2*m2*sin(alpha1 - alpha2)];
 
 
q = ...
    [ -g*sin(alpha1)*(l1*m1 + l2*m2)
                -g*l2*m2*sin(alpha2)];
                                                           
% Nichtlineare Zustandsgleichung formulieren
dx = [Dalpha1; Dalpha2; inv(M)*(q-k)];

end % function
